New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Trusty with oraclejdk7, ends with: ERROR: JAVA_HOME is set to an invalid directory: /usr/lib/jvm/java-7-oracle #7884

Closed
typekpb opened this Issue Jun 10, 2017 · 6 comments

Comments

Projects
None yet
6 participants
@typekpb

typekpb commented Jun 10, 2017

Having:

sudo: required

dist: trusty

language: java

jdk:
  - oraclejdk7

Results in:

$ jdk_switcher use oraclejdk7
Switching to Oracle JDK7 (java-7-oracle), JAVA_HOME will be set to /usr/lib/jvm/java-7-oracle
...
$ ./gradlew check
ERROR: JAVA_HOME is set to an invalid directory: /usr/lib/jvm/java-7-oracle

see: https://travis-ci.org/p6spy/p6spy/jobs/241447718

@BanzaiMan

This comment has been minimized.

Show comment
Hide comment
@BanzaiMan

BanzaiMan Jun 14, 2017

Member

My guess is that we can no longer support oraclejdk7 on our recent build images due to Oracle's withdrawal. http://www.webupd8.org/2017/06/why-oracle-java-7-and-6-installers-no.html

Member

BanzaiMan commented Jun 14, 2017

My guess is that we can no longer support oraclejdk7 on our recent build images due to Oracle's withdrawal. http://www.webupd8.org/2017/06/why-oracle-java-7-and-6-installers-no.html

@iriberri

This comment has been minimized.

Show comment
Hide comment
@iriberri

iriberri Jun 20, 2017

oraclejdk8 should be available now in the Trusty sudo: required environment: travis-ci/packer-templates#441

iriberri commented Jun 20, 2017

oraclejdk8 should be available now in the Trusty sudo: required environment: travis-ci/packer-templates#441

fpavageau added a commit to fpavageau/liquigraph that referenced this issue Jul 20, 2017

Switch the JDK 7 build to OpenJDK
See travis-ci/travis-ci#7884 (comment)

According to the comment, Oracle JDK 7 can no longer be downloaded, which
means there's no longer a package to install it, and Travis doesn't support
the option anymore.

I've updated the OpenJDK 7 workaround following the updated comment at
travis-ci/travis-ci#5227 (comment)

szpak added a commit to szpak/grails-core that referenced this issue Jul 23, 2017

Switch oraclejdk7 to openjdk7 on Travis
Due to the issues with the latest Travis images.
travis-ci/travis-ci#7884

dogeared added a commit to jwtk/jjwt that referenced this issue Jul 25, 2017

@dogeared dogeared referenced this issue Jul 25, 2017

Merged

Travis fix #239

mmalohlava added a commit to h2oai/sparkling-water that referenced this issue Jul 26, 2017

mmalohlava added a commit to h2oai/sparkling-water that referenced this issue Jul 26, 2017

mmalohlava added a commit to h2oai/sparkling-water that referenced this issue Jul 26, 2017

bploeckelman added a commit to bploeckelman/LudumDare39 that referenced this issue Jul 26, 2017

dbrgn added a commit to saltyrtc/saltyrtc-client-java that referenced this issue Jul 26, 2017

dbrgn added a commit to saltyrtc/saltyrtc-client-java that referenced this issue Jul 26, 2017

bmuschko added a commit to gradle-guides/guides-test-fixtures that referenced this issue Jul 27, 2017

gmantele added a commit to gmantele/ucidy that referenced this issue Jun 29, 2018

xuwei-k added a commit to xuwei-k/scalac-scoverage-plugin that referenced this issue Jul 5, 2018

use oraclejdk8 instead of oraclejdk7
- sbt 1.x does not support jdk7
- travis-ci no longer support oraclejdk7 travis-ci/travis-ci#7884 (comment)

xuwei-k added a commit to xuwei-k/sbt-ghpages that referenced this issue Jul 5, 2018

xuwei-k added a commit to xuwei-k/RxScala that referenced this issue Jul 7, 2018

xuwei-k added a commit to xuwei-k/ReactiveMongo that referenced this issue Jul 7, 2018

xuwei-k added a commit to xuwei-k/ReactiveMongo that referenced this issue Jul 7, 2018

@xuwei-k xuwei-k referenced this issue Jul 7, 2018

Closed

remove jdk7 build #757

3 of 3 tasks complete

xuwei-k added a commit to xuwei-k/ReactiveMongo that referenced this issue Jul 9, 2018

xuwei-k added a commit to xuwei-k/linter-1 that referenced this issue Jul 10, 2018

remove oraclejdk7 build
travis-ci no longer support oraclejdk7
travis-ci/travis-ci#7884 (comment)

xuwei-k added a commit to xuwei-k/wartremover-contrib that referenced this issue Jul 13, 2018

use openjdk7 instead of oraclejdk7
travis-ci new environment no longer support oraclejdk7

travis-ci/travis-ci#7884 (comment)

xuwei-k added a commit to xuwei-k/wartremover-contrib that referenced this issue Jul 13, 2018

use openjdk7 instead of oraclejdk7
travis-ci new environment no longer support oraclejdk7

travis-ci/travis-ci#7884 (comment)

xuwei-k added a commit to xuwei-k/wartremover-contrib that referenced this issue Jul 13, 2018

use openjdk7 instead of oraclejdk7
travis-ci new environment no longer support oraclejdk7

travis-ci/travis-ci#7884 (comment)

xuwei-k added a commit to xuwei-k/ReactiveMongo that referenced this issue Jul 13, 2018

remove jdk7 build
- sbt 1.x does not support jdk7
- travis-ci no longer support oraclejdk7 travis-ci/travis-ci#7884 (comment)

xuwei-k added a commit to xuwei-k/scalaz that referenced this issue Jul 17, 2018

xuwei-k added a commit to xuwei-k/scalaz that referenced this issue Jul 17, 2018

johnou added a commit to johnou/coveralls-maven-plugin that referenced this issue Jul 26, 2018

joshorig added a commit to joshorig/coveralls-maven-plugin that referenced this issue Aug 7, 2018

corytodd added a commit to PyramidTechnologies/jPyramid-RS-232 that referenced this issue Aug 24, 2018

yinonavraham added a commit to yinonavraham/commands-cli that referenced this issue Sep 28, 2018

yinonavraham added a commit to yinonavraham/commands-cli that referenced this issue Sep 28, 2018

Add travis-ci configuration file
- Set language to 'java' and use Oracle JDK7
- Use 'percise' distribution for the travis worker image - to use Oracle JDK7
  See: travis-ci/travis-ci#7884
- Set alias for 'mvn' to add support for TLS v1.2
  See: https://central.sonatype.org/articles/2018/May/04/discontinued-support-for-tlsv11-and-below/
  see: travis-ci/travis-ci#2552
- Use Travic-CI default 'install' and 'test' phases for Maven

jeffsheets added a commit to jeffsheets/spock-subjects-collaborators-extension that referenced this issue Oct 8, 2018

chore: Remove JDK7 from TravisCI builds
JDK7 is no longer available in Travis travis-ci/travis-ci#7884
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment